Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql3.statements
Class AlterKeyspaceStatement

    java.lang.Object
      org.apache.cassandra.cql3.statements.ParsedStatement
          org.apache.cassandra.cql3.statements.CFStatement
              org.apache.cassandra.cql3.statements.SchemaAlteringStatement
                  org.apache.cassandra.cql3.statements.AlterKeyspaceStatement

All Implemented Interfaces:
  CQLStatement

    public class AlterKeyspaceStatement

extends SchemaAlteringStatement

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`ParsedStatement.Prepared`

Field Summary

Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement
`cfName`

Constructor Summary
`AlterKeyspaceStatement(java.lang.String name, KSPropDefs attrs)`

Method Summary
`void` | `announceMigration()`
`void` | `checkAccess(ClientState state)` Perform any access verification necessary for the statement.
`void` | `validate(ClientState state)` Perform additional validation required by the statment.

Methods inherited from class org.apache.cassandra.cql3.statements.SchemaAlteringStatement
`execute, prepare, prepareKeyspace`

Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement
`columnFamily, keyspace`

Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`getBoundsTerms, setBoundTerms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.cql3.CQLStatement
`getBoundsTerms`

Constructor Detail

### AlterKeyspaceStatement

    public AlterKeyspaceStatement(java.lang.String name,
                                  KSPropDefs attrs)

Method Detail

### checkAccess

    public void checkAccess(ClientState state)
                     throws InvalidRequestException

  Description copied from interface: `CQLStatement`
  Perform any access verification necessary for the statement.

  Parameters:
    `state` - the current client state
  Throws:
    `InvalidRequestException`

### validate

    public void validate(ClientState state)
                  throws InvalidRequestException,
                         SchemaDisagreementException

  Description copied from interface: `CQLStatement`
  Perform additional validation required by the statment. To be overriden by subclasses if needed.

  Specified by:
    `validate` in interface `CQLStatement`
  Overrides:
    `validate` in class `SchemaAlteringStatement`
  Parameters:
    `state` - the current client state
  Throws:
    `InvalidRequestException`
    `SchemaDisagreementException`

### announceMigration

    public void announceMigration()
                           throws InvalidRequestException,
                                  ConfigurationException

  Specified by:
    `announceMigration` in class `SchemaAlteringStatement`
  Throws:
    `InvalidRequestException`
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation